<?php
session_start();
include '../includes/dbcon.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $year_level_id = $_POST['year_level_id'];
    $user_id = $_SESSION['user_id']; // Assuming user ID is stored in session

    // Fetch the year level before deleting
    $stmt = $conn->prepare("SELECT year_level FROM year_levels WHERE id = ?");
    $stmt->bind_param("i", $year_level_id);
    $stmt->execute();
    $stmt->bind_result($year_level);
    $stmt->fetch();
    $stmt->close();

    // Prepare and execute the delete statement for year levels
    $delete_stmt = $conn->prepare("DELETE FROM year_levels WHERE id = ?");
    $delete_stmt->bind_param("i", $year_level_id);

    if ($delete_stmt->execute()) {
        // Log the activity
        $action = "Year Level Deleted by Admin User";
        $description = "Admin User deleted year level ID $year_level_id: '$year_level'.";
        $ip_address = $_SERVER['REMOTE_ADDR'];
        $user_agent = $_SERVER['HTTP_USER_AGENT'];

        $log_stmt = $conn->prepare("INSERT INTO activity_logs (user_id, action, description, ip_address, user_agent) VALUES (?, ?, ?, ?, ?)");
        $log_stmt->bind_param("issss", $user_id, $action, $description, $ip_address, $user_agent);
        $log_stmt->execute();

        $_SESSION['success_message'] = "Year level deleted successfully: '$year_level'.";
    } else {
        $_SESSION['error_message'] = "Error deleting year level.";
    }

    header("Location: manage_year_levels.php");
    exit();
}
?>