<?php
session_start();
if (!isset($_SESSION['user_id'])) {
    header("Location: ../login.php");
    exit();
}
// Set the Content-Type to JSON
header('Content-Type: application/json');

include '../includes/dbcon.php';

$id = intval($_GET['id']);
$query = "SELECT users.*, departments.department_name, year_levels.year_level 
          FROM users 
          LEFT JOIN departments ON users.department_id = departments.id 
          LEFT JOIN year_levels ON users.year_level_id = year_levels.id 
          WHERE users.id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param('i', $id);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $data = $result->fetch_assoc();
    echo json_encode($data);
} else {
    echo json_encode([]);
}

$stmt->close();
$conn->close();

?>
