<?php
session_start();
if (!isset($_SESSION['user_id'])) {
    header("Location: ../login.php");
    exit();
}
// Set the Content-Type to JSON
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *'); // For CORS, if needed


// Include database connection
include '../includes/dbcon.php';

if (isset($_GET['id']) && is_numeric($_GET['id'])) {
    $id = intval($_GET['id']);

    // Prepare and execute the query
    $stmt = $conn->prepare("SELECT * FROM users WHERE id = ? AND role = 'admin'");
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $user = $result->fetch_assoc();
        // Return the user data as JSON
        echo json_encode($user);
    } else {
        // Return an error if no user is found
        echo json_encode(['error' => 'User not found']);
    }
    $stmt->close();
} else {
    // Return an error for invalid ID
    echo json_encode(['error' => 'Invalid ID']);
}

$conn->close();
