<?php
session_start();
include '../includes/dbcon.php'; // Include database connection

if (isset($_GET['id'])) {
    $id = $_GET['id'];

    // Prepare and bind
    $stmt = $conn->prepare("SELECT id, class_name, year_level_id, department_id, description FROM classes WHERE id = ?");
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $class = $result->fetch_assoc();
        echo json_encode(['success' => true] + $class);
    } else {
        echo json_encode(['success' => false, 'message' => 'Class not found.']);
    }

    $stmt->close();
} else {
    echo json_encode(['success' => false, 'message' => 'No ID provided.']);
}
?>