<?php
session_start();
// Check if the user is logged in and has the role of 'admin'
if (!isset($_SESSION['user_id']) || $_SESSION['role'] !== 'admin') {
    header("Location: ../login.php");
    exit();
}

// Set the Content-Type to JSON
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *'); // For CORS, if needed

include '../includes/dbcon.php'; // Include database connection


if (isset($_GET['id'])) {
    $facultyId = $_GET['id'];

    // Prepare and execute the query to fetch faculty user details
    $stmt = $conn->prepare("SELECT * FROM users WHERE id = ? AND role = 'faculty'");
    $stmt->bind_param("i", $facultyId);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $facultyUser  = $result->fetch_assoc();
        echo json_encode($facultyUser ); // Return the user details as JSON
    } else {
        echo json_encode(['error' => 'User  not found']);
    }
} else {
    echo json_encode(['error' => 'Invalid request']);
}
?>