<?php
session_start();
if (!isset($_SESSION['user_id'])) {
    header("Location: ../login.php");
    exit();
}
// Set the Content-Type to JSON
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *'); // For CORS, if needed

include '../includes/dbcon.php'; // Include database connection

if (isset($_GET['id'])) {
    $id = $_GET['id'];

    // Prepare and execute the query to fetch student user details
    $stmt = $conn->prepare("SELECT * FROM users WHERE id = ? AND role = 'student'");
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $studentUser  = $result->fetch_assoc();
        echo json_encode($studentUser ); // Return the user details as JSON
    } else {
        echo json_encode(['error' => 'User  not found']);
    }
} else {
    echo json_encode(['error' => 'Invalid request']);
}
?>