<?php
session_start();
if (!isset($_SESSION['admin_id'])) {
    header("Location: login.php");
    exit();
}

include '../includes/dbcon.php';

// Fetch notifications
$sql = "SELECT * FROM notifications ORDER BY created_at DESC";
$stmt = $conn->prepare($sql);
$stmt->execute();
$notifications = $stmt->get_result();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Notifications</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #f4f6f9;
        }
        .sidebar {
            height: 100%;
            background-color: #343a40;
            position: fixed;
            top: 0;
            left: 0;
            width: 250px;
            padding-top: 20px;
        }
        .sidebar a {
            color: white;
            padding: 15px;
            text-decoration: none;
            display: block;
        }
        .sidebar a:hover {
            background-color: #575d63;
        }
        .dashboard-content {
            margin-left: 250px;
            padding: 30px;
        }
        .card {
            margin-bottom: 20px;
        }
        .card-header {
            background-color: #007bff;
            color: white;
        }
        .card-body {
            font-size: 16px;
        }
        .dashboard-header {
            text-align: center;
            margin-bottom: 40px;
        }
        .dashboard-header h1 {
            font-size: 32px;
            color: #333;
        }
        .notifications-list {
            list-style-type: none;
            padding: 0;
        }
        .notifications-list li {
            background-color: #f8f9fa;
            margin: 10px 0;
            padding: 15px;
            border-radius: 5px;
            border-left: 5px solid #007bff;
        }
        .notifications-list li:hover {
            background-color: #e9ecef;
        }
    </style>
</head>
<body>

    <div class="sidebar">
        <h3 class="text-white text-center">Admin Panel</h3>
        <a href="dashboard.php"><i class="fas fa-tachometer-alt"></i> Dashboard</a>
        <a href="manage_faculty.php"><i class="fas fa-chalkboard-teacher"></i> Manage Faculty</a>
        <a href="manage_students.php"><i class="fas fa-users"></i> Manage Students</a>
        <a href="manage_lessons.php"><i class="fas fa-book"></i> Manage Lessons</a>
        <a href="manage_quiz.php"><i class="fas fa-question-circle"></i> Manage Quizzes</a>
        <a href="notifications.php"><i class="fas fa-bell"></i> Notifications</a>
        <a href="logout.php"><i class="fas fa-sign-out-alt"></i> Logout</a>
    </div>

    <div class="dashboard-content">
        <div class="dashboard-header">
            <h1>Admin Notifications</h1>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h4>Recent Notifications</h4>
                    </div>
                    <div class="card-body">
                        <ul class="notifications-list">
                            <?php while ($notification = $notifications->fetch_assoc()) : ?>
                                <li>
                                    <strong><?php echo $notification['title']; ?></strong>
                                    <p><?php echo $notification['message']; ?></p>
                                    <small>Posted on: <?php echo $notification['created_at']; ?></small>
                                </li>
                            <?php endwhile; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
