<?php
session_start();
include '../includes/dbcon.php'; // Include database connection

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $class_name = $_POST['class_name'];
    $year_level_id = $_POST['year_level_id'];
    $department_id = $_POST['department_id'];
    $description = $_POST['description'];
    $user_id = $_SESSION['user_id']; // Assuming user ID is stored in session

    // Check if the class already exists
    $check_stmt = $conn->prepare("SELECT COUNT(*) FROM classes WHERE class_name = ? AND year_level_id = ? AND department_id = ?");
    $check_stmt->bind_param("sii", $class_name, $year_level_id, $department_id);
    $check_stmt->execute();
    $check_stmt->bind_result($count);
    $check_stmt->fetch();
    $check_stmt->close();

    if ($count > 0) {
        // Class already exists
        $_SESSION['error_message'] = "Error: Class '$class_name' already exists for the selected year level and department.";
    } else {
        // Prepare and execute the insert statement for classes
        $stmt = $conn->prepare("INSERT INTO classes (class_name, year_level_id, department_id, description) VALUES (?, ?, ?, ?)");
        $stmt->bind_param("siis", $class_name, $year_level_id, $department_id, $description);

        if ($stmt->execute()) {
            // Log the activity
            $action = "Faculty user created";
            $description_log = "Faculty User created a new class: " . $class_name;
            $ip_address = $_SERVER['REMOTE_ADDR'];
            $user_agent = $_SERVER['HTTP_USER_AGENT'];

            $log_stmt = $conn->prepare("INSERT INTO activity_logs (user_id, action, description, ip_address, user_agent) VALUES (?, ?, ?, ?, ?)");
            $log_stmt->bind_param("issss", $user_id, $action, $description_log, $ip_address, $user_agent);
            $log_stmt->execute();

            $_SESSION['success_message'] = "Class added successfully: " . $class_name ;
        } else {
            $_SESSION['error_message'] = "Error adding class.";
        }
    }

    header("Location: manage_classes.php");
    exit();
}
?>