<?php
session_start();
include '../includes/dbcon.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $department_name = $_POST['department_name'];
    $user_id = $_SESSION['user_id']; // Assuming user ID is stored in session
    $class_name = "Department: " . $department_name; // Department name to be displayed in the success message

    // Check if the department already exists
    $check_stmt = $conn->prepare("SELECT COUNT(*) FROM departments WHERE department_name = ?");
    $check_stmt->bind_param("s", $department_name);
    $check_stmt->execute();
    $check_stmt->bind_result($count);
    $check_stmt->fetch();
    $check_stmt->close();

    if ($count > 0) {
        // Department already exists
        $_SESSION['error_message'] = "Error: Department '$department_name' already exists.";
    } else {
        // Prepare and execute the insert statement for departments
        $stmt = $conn->prepare("INSERT INTO departments (department_name) VALUES (?)");
        $stmt->bind_param("s", $department_name);

        if ($stmt->execute()) {
            // Log the activity
            $action = "Department Created by Faculty User";
            $description = "Faculty User created a new department: " . $department_name;
            $ip_address = $_SERVER['REMOTE_ADDR'];
            $user_agent = $_SERVER['HTTP_USER_AGENT'];

            $log_stmt = $conn->prepare("INSERT INTO activity_logs (user_id, action, description, ip_address, user_agent) VALUES (?, ?, ?, ?, ?)");
            $log_stmt->bind_param("issss", $user_id, $action, $description, $ip_address, $user_agent);
            $log_stmt->execute();

            $_SESSION['success_message'] = "Department added successfully: " . $class_name;
        } else {
            $_SESSION['error_message'] = "Error adding department.";
        }
    }

    header("Location: manage_departments.php");
    exit();
}
?>