<?php
session_start();
include '../includes/dbcon.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $year_level = $_POST['year_level'];
    $user_id = $_SESSION['user_id']; // Assuming user ID is stored in session
    $class_name = "Year Level: " . $year_level; // Class name to be displayed in the success message

    // Check if the year level already exists
    $check_stmt = $conn->prepare("SELECT COUNT(*) FROM year_levels WHERE year_level = ?");
    $check_stmt->bind_param("s", $year_level);
    $check_stmt->execute();
    $check_stmt->bind_result($count);
    $check_stmt->fetch();
    $check_stmt->close();

    if ($count > 0) {
        // Year level already exists
        $_SESSION['error_message'] = "Error: Year level '$year_level' already exists.";
    } else {
        // Prepare and execute the insert statement for year levels
        $stmt = $conn->prepare("INSERT INTO year_levels (year_level) VALUES (?)");
        $stmt->bind_param("s", $year_level);

        if ($stmt->execute()) {
            // Log the activity
            $action = "Year Level Created by Faculty User";
            $description = "Faculty User created a new year level: " . $year_level;
            $ip_address = $_SERVER['REMOTE_ADDR'];
            $user_agent = $_SERVER['HTTP_USER_AGENT'];

            $log_stmt = $conn->prepare("INSERT INTO activity_logs (user_id, action, description, ip_address, user_agent) VALUES (?, ?, ?, ?, ?)");
            $log_stmt->bind_param("issss", $user_id, $action, $description, $ip_address, $user_agent);
            $log_stmt->execute();

            $_SESSION['success_message'] = "Year level added successfully: " . $class_name;
        } else {
            $_SESSION['error_message'] = "Error adding year level.";
        }
    }

    header("Location: manage_year_levels.php");
    exit();
}
?>