<?php
session_start();
include '../includes/dbcon.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $department_id = $_POST['department_id'];
    $user_id = $_SESSION['user_id']; // Assuming user ID is stored in session

    // Fetch the department before deleting
    $stmt = $conn->prepare("SELECT department_name FROM departments WHERE id = ?");
    $stmt->bind_param("i", $department_id);
    $stmt->execute();
    $stmt->bind_result($department_name);
    $stmt->fetch();
    $stmt->close();

    // Prepare and execute the delete statement for departments
    $delete_stmt = $conn->prepare("DELETE FROM departments WHERE id = ?");
    $delete_stmt->bind_param("i", $department_id);

    if ($delete_stmt->execute()) {
        // Log the activity
        $action = "Department Deleted by Faculty User";
        $description = "Faculty User deleted department ID $department_id: '$department_name'.";
        $ip_address = $_SERVER['REMOTE_ADDR'];
        $user_agent = $_SERVER['HTTP_USER_AGENT'];

        $log_stmt = $conn->prepare("INSERT INTO activity_logs (user_id, action, description, ip_address, user_agent) VALUES (?, ?, ?, ?, ?)");
        $log_stmt->bind_param("issss", $user_id, $action, $description, $ip_address, $user_agent);
        $log_stmt->execute();

        $_SESSION['success_message'] = "Department deleted successfully: '$department_name'.";
    } else {
        $_SESSION['error_message'] = "Error deleting department.";
    }

    header("Location: manage_departments.php");
    exit();
}
?>