<?php
session_start();
include '../includes/dbcon.php'; // Include database connection

// Check if the user is logged in and has the role of 'faculty'
if (!isset($_SESSION['user_id']) || $_SESSION['role'] !== 'faculty') {
    header("Location: ../login.php");
    exit();
}

// Get the option ID from the request
$option_id = isset($_POST['option_id']) ? intval($_POST['option_id']) : 0;

// Handle deletion
if ($option_id > 0) {
    $stmt = $conn->prepare("DELETE FROM quiz_options WHERE option_id=?");
    $stmt->bind_param("i", $option_id);
    if ($stmt->execute()) {
        echo 'Option deleted successfully!';
    } else {
        echo 'Error: ' . $stmt->error;
    }
    $stmt->close();
}
?>