<?php
session_start();
include '../includes/dbcon.php';

if (isset($_GET['id'])) {
    $department_id = $_GET['id'];

    // Prepare and execute the select statement for departments
    $stmt = $conn->prepare("SELECT id, department_name FROM departments WHERE id = ?");
    if (!$stmt) {
        echo json_encode([
            'success' => false,
            'message' => "Error preparing statement: " . $conn->error
        ]);
        exit();
    }

    $stmt->bind_param("i", $department_id);
    $stmt->execute();
    $stmt->bind_result($id, $department_name);
    $stmt->fetch();
    $stmt->close();

    if ($department_name) {
        // Return the department name as a JSON response
        echo json_encode([
            'success' => true,
            'id' => $id,
            'department_name' => $department_name
        ]);
    } else {
        // Department not found
        echo json_encode([
            'success' => false,
            'message' => 'Department not found.'
        ]);
    }
} else {
    // No ID provided
    echo json_encode([
        'success' => false,
        'message' => 'No department ID provided.'
    ]);
}
?>