<?php
session_start();
include '../includes/dbcon.php'; // Include database connection

if (isset($_GET['class_id'])) {
    $class_id = $_GET['class_id'];

    // Fetch students enrolled in the specified class
    $query = "SELECT u.id, u.first_name, u.last_name 
              FROM student_classes sc
              JOIN users u ON sc.student_id = u.id
              WHERE sc.class_id = ?";
    
    $stmt = $conn->prepare($query);
    $stmt->bind_param("i", $class_id);
    $stmt->execute();
    $result = $stmt->get_result();

    $students = [];
    while ($row = $result->fetch_assoc()) {
        $students[] = $row;
    }

    // Return the student data as JSON
    header('Content-Type: application/json');
    echo json_encode($students);
} else {
    // If no class_id is provided, return an error
    header('Content-Type: application/json');
    echo json_encode(['error' => 'No class ID provided.']);
}
?>