<?php
session_start();
include '../includes/dbcon.php';

if (isset($_GET['id'])) {
    $year_level_id = $_GET['id'];

    // Prepare and execute the select statement for year levels
    $stmt = $conn->prepare("SELECT id, year_level FROM year_levels WHERE id = ?");
    if (!$stmt) {
        echo json_encode([
            'success' => false,
            'message' => "Error preparing statement: " . $conn->error
        ]);
        exit();
    }

    $stmt->bind_param("i", $year_level_id);
    $stmt->execute();
    $stmt->bind_result($id, $year_level);
    $stmt->fetch();
    $stmt->close();

    if ($year_level) {
        // Return the year level as a JSON response
        echo json_encode([
            'success' => true,
            'id' => $id,
            'year_level' => $year_level
        ]);
    } else {
        // Year level not found
        echo json_encode([
            'success' => false,
            'message' => 'Year level not found.'
        ]);
    }
} else {
    // No ID provided
    echo json_encode([
        'success' => false,
        'message' => 'No year level ID provided.'
    ]);
}
?>