<?php
// Start the session
session_start();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>AcademyClan</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="icon" href="../assets/images/logo.ico"> <!-- Favicon -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
        body {
            background: linear-gradient(to right, #e0eafc, #cfdef3); /* Gradient background */
            font-family: Arial, sans-serif; /* Font style */
        }

        .navbar {
            background-color: #ffffff; /* White background for the navbar */
        }

        .navbar-brand {
            color: #003366; /* Deep Blue for brand */
        }

        .navbar-text {
            color: #debb03; /* Gold color for tagline */
        }

        .container {
            margin-top: 80px; /* Space for fixed navbar */
        }

        h1, h2 {
            color: #003366; /* Deep Blue for headings */
            text-align: center; /* Center align headings */
            margin-bottom: 30px; /* Space below headings */
        }

        .card {
            margin-bottom: 20px; /* Space between cards */
            transition: transform 0.3s, box-shadow 0.3s; /* Animation for card hover */
            border: none; /* Remove border */
            border-radius: 15px; /* Rounded corners */
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); /* Subtle shadow */
        }

        .card:hover {
            transform: scale(1.05); /* Scale up on hover */
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2); /* Add shadow on hover */
        }

        .btn-primary {
            background-color: #6A0DAD; /* Purple for buttons */
            border: none; /* Remove border */
            transition: background-color 0.3s; /* Smooth transition */
        }

        .btn-primary:hover {
            background-color: #5a0b9a; /* Darker purple on hover */
        }

        footer {
            margin-top: 40px; /* Space above footer */
            text-align: center; /* Center align footer text */
        }

        /* Animation for fade-in effect */
        .fade-in {
            opacity: 0;
            transition: opacity 0.5s ease-in-out; /* Smooth transition */
        }

        .visible {
            opacity: 1; /* Fully visible */
        }

        /* Custom styles for icons */
        .card i {
            color: #6A0DAD; /* Purple color for icons */
            margin-bottom: 15px; /* Space below icons */
        }

        /* Section background */
        .section-bg {
            background-color: rgba(255, 255, 255, 0.8); /* Light background for sections */
            border-radius: 10px; /* Rounded corners */
            padding: 20px; /* Padding for sections */
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); /* Subtle shadow */
        }

        /* Spacing for sections */
        .section-gap {
            margin-bottom: 40px; /* Space between sections */
        }

        /* Different animations for sections */
        .slide-in {
            transform: translateX(-100%);
            opacity: 0;
            transition: transform 0.5s ease, opacity 0.5s ease;
        }

        .slide-in.visible {
            transform: translateX(0);
            opacity: 1;
        }

        .zoom-in {
            transform: scale(0.5);
            opacity: 0;
            transition: transform 0.5s ease, opacity 0.5s ease;
        }

        .zoom-in.visible {
            transform: scale(1);
            opacity: 1;
        }

        .fade-up {
            transform: translateY(20px);
            opacity: 0;
            transition: transform 0.5s ease, opacity 0.5s ease;
        }

        .fade-up.visible {
            transform: translateY(0);
            opacity: 1;
        }
        .rotate-in {
            transform: rotate(90deg);
            opacity: 0;
            transition: transform 0.5s ease, opacity 0.5s ease;
        }

        .rotate-in.visible {
            transform: rotate(0);
            opacity: 1;
        }

        @media (max-width: 768px) {
            .navbar-brand img {
                height: 40px; /* Adjust logo size for mobile */
                width: 40px;
            }

            h1, h2 {
                font-size: 1.5rem; /* Adjust heading size for mobile */
            }

            .card {
                margin-bottom: 15px; /* Reduce space between cards on mobile */
            }

            .section-bg {
                padding: 15px; /* Reduce padding for sections on mobile */
            }
        }
        /* Custom styles for icons */
        .card i {
            color: #6A0DAD; /* Purple color for icons */
            margin-bottom: 15px; /* Space below icons */
        }

        /* Section background */
        .section-bg {
            background-color: rgba(255, 255, 255, 0.8); /* Light background for sections */
            border-radius: 10px; /* Rounded corners */
            padding: 20px; /* Padding for sections */
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); /* Subtle shadow */
        }

        /* Spacing for sections */
        .section-gap {
            margin-bottom: 40px; /* Space between sections */
        }
    </style>
</head>
<body>

    <!-- Navigation Bar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand d-flex align-items-center" href="#">
                <img src="assets/images/logo.png" alt="AcademyClan Logo" style="height: 50px; width: 50px; border-radius: 50%; margin-right: 5px;"> <!-- Circular logo -->
                <div class="d-flex flex-column align-items-start">
                    <span style="color:#003366; font-weight: bold;">AcademyClan</span>
                    <span class="navbar-text" style="font-size: small; line-height: 0; color: #debb03;"> <!-- Adjust line-height for better spacing -->
                        Think Beyond. Learn Beyond </span>
                </div>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item"><a class="nav-link" href="#">Home</a></li>
                    <li class="nav-item"><a class="nav-link" href="login.php">Login</a></li>
                    <li class="nav-item"><a class="nav-link" href="register.php">Register</a></li>
                </ul>
            </div>
        </div>
    </nav>

    <!-- Main Content -->
    <div class="container mt-5">
        <h1 class="fade-in"><i class="fas fa-book-open"></i> Welcome to AcademyClan</h1>
        <p class="fade-in">Your journey to knowledge and excellence starts here.</p>

        <!-- Overview Section -->
        <section class="py-5 zoom-in section-bg section-gap">
            <h2><i class="fas fa-info-circle"></i> About AcademyClan</h2>
            <p>AcademyClan is a comprehensive web application developed to facilitate efficient learning and content management for both <strong>students</strong> and <strong>faculty</strong>. The system is built using <strong>PHP</strong>, <strong>MySQL</strong>, <strong>HTML</strong>, <strong>CSS</strong>, <strong>JavaScript (jQuery and Ajax)</strong>, <strong>Bootstrap</strong>, and other related technologies. The application allows administrators, faculty, and students to interact with the system in various roles and functions.</p>
        </section>

        <!-- Key Features Section -->
        <section class="py-5 fade-up section-bg section-gap">
            <h2><i class="fas fa-star"></i> Key Features</h2>
            <div class="row">
                <div class="col-md-4">
                    <div class="card text-center">
                        <div class="card-body">
                            <h5 class="card-title"><i class="fas fa-user-shield"></i> Admin Panel</h5>
                            <div class="list-group">
                                <div class="list-group-item">Manage System Data: Academic years, departments, courses, subjects, faculty, and students.</div>
                                <div class="list-group-item">Manage Faculty and Student Lists.</div>
                                <div class="list-group-item">Account Management.</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="card text-center">
                        <div class="card-body">
                            <h5 class="card-title"><i class="fas fa-chalkboard-teacher"></i> Faculty Features</h5>
                            <div class="list-group">
                                <div class="list-group-item">Lesson Management.</div>
                                <div class="list-group-item">Media Uploading.</div>
                                <div class="list-group-item">Backpack Feature for students.</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="card text-center">
                        <div class="card-body">
                            <h5 class="card-title"><i class="fas fa-user-graduate"></i> Student Features</h5>
                            <div class="list-group">
                                <div class="list-group-item">View Lessons & Content.</div>
                                <div class="list-group-item">Backpack for Files.</div>
                                <div class="list-group-item">Pin Files for quick access.</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <!-- Additional Features Section -->
        <section class="py-5 zoom-in section-bg section-gap">
            <h2><i class="fas fa-plus-circle"></i> Additional Features</h2>
            <div class="list-group">
                <div class="list-group-item"><i class="fas fa-clipboard-list"></i> Quiz Feature: Faculty can create and manage quizzes; students can take quizzes and view results.</div>
                <div class="list-group-item"><i class="fas fa-bell"></i> Notifications: Real-time updates on new lessons, quizzes, and announcements.</div>
                <div class="list-group-item"><i class="fas fa-user-tag"></i> Role-Based Registration: Users can register as either faculty or student.</div>
            </div>
        </section>

        <!-- User Roles Section -->
        <section class="py-5 fade-up section-bg section-gap">
            <h2><i class="fas fa-users"></i> User Roles</h2>
            <div class="list-group">
                <div class="list-group-item"><strong>Admin:</strong> Full control over the system, managing users and monitoring progress.</div>
                <div class="list-group-item"><strong>Faculty:</strong> Manage lessons, upload media, and create quizzes.</div>
                <div class="list-group-item"><strong>Student:</strong> View lessons, take quizzes, and use the backpack feature.</div>
            </div>
        </section>

        <!-- Technologies Used Section -->
        <section class="py-5 fade-in section-bg section-gap">
            <h2><i class="fas fa-laptop-code"></i> Technologies Used</h2>
            <h5>Frontend:</h5>
            <div class="list-group">
                <div class="list-group-item"><i class="fas fa-html5"></i> HTML, CSS, Bootstrap, FontAwesome.</div>
                <div class="list-group-item"><i class="fas fa-code"></i> JavaScript/jQuery/Ajax for dynamic interaction.</div>
            </div>
            <h5>Backend:</h5>
            <div class="list-group">
                <div class="list-group-item"><i class="fas fa-server"></i> PHP for server-side processing.</div>
                <div class="list-group-item"><i class="fas fa-database"></i> MySQL for data management.</div>
                <div class="list-group-item"><i class="fas fa-cogs"></i> XAMPP for local development.</div>
            </div>
            <h5>User Authentication:</h5>
            <div class="list-group">
                <div class="list-group-item"><i class="fas fa-lock"></i> Secure login system with password hashing.</div>
                <div class="list-group-item"><i class="fas fa-user-check"></i> Role-based registration with admin approval.</div>
            </div>
        </section>

        <!-- System Flow Section -->
        <section class="py-5 zoom-in section-bg section-gap">
            <h2><i class="fas fa-arrow-right"></i> System Flow</h2>
            <ol class="list-group">
                <li class="list-group-item"><strong>Registration:</strong> New users register and await approval.</li>
                <li class="list-group-item"><strong>Lesson Management:</strong> Faculty create lessons and upload media.</li>
                <li class="list-group-item"><strong>Backpack Feature:</strong> Students save files for later review.</li>
                <li class="list-group-item"><strong>Quizzes:</strong> Faculty create quizzes; students take them and view results.</li>
                <li class="list-group-item"><strong>Notifications:</strong> Real-time alerts for users.</li>
            </ol>
        </section>

        <!-- Database Structure Section -->
        <section class="py-5 fade-up section-bg section-gap">
            <h2><i class="fas fa-database"></i> Database Structure</h2>
            <div class="list-group">
                <div class="list-group-item"><strong>Users Table:</strong> Stores user information and roles.</div>
                <div class="list-group-item"><strong>Lessons Table:</strong> Stores lesson information and content.</div>
                <div class="list-group-item"><strong>Quizzes Table:</strong> Stores quiz data and results.</div>
                <div class="list-group-item"><strong>Backpack Table:</strong> Stores files saved by students with notes.</div>
                <div class="list-group-item"><strong>Notifications Table:</strong> Stores notifications for users.</div>
            </div>
        </section>

        <!-- Call to Action Section -->
        <section class="mt-5 text-center fade-in section-bg section-gap">
            <h2><i class="fas fa-sign-in-alt"></i> Join Us Today!</h2>
            <p>Sign up now to start your learning journey with AcademyClan and unlock your potential.</p>
            <a href="register.php" class="btn btn-primary">Get Started</a>
        </section>
    </div>

    <footer class="bg-dark text-white text-center py-3">
        <p>&copy; 2025 AcademyClan. All rights reserved.</p>
    </footer>

    <!-- Bootstrap JS and dependencies -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        // Intersection Observer for scroll transition 
        const sections = document.querySelectorAll('.fade-in, .slide-in, .zoom-in, .fade-up, .rotate-in');

        const options = {
            root: null,
            rootMargin: '0px',
            threshold: 0.6
        };

        const observer = new IntersectionObserver((entries, observer) => {
            entries.forEach(entry => {
                if (entry.isIntersecting) {
                    entry.target.classList.add('visible');
                    observer.unobserve(entry.target);
                }
            });
        }, options);

        sections.forEach(section => {
            observer.observe(section);
        });
    </script>
</body>
</html>