<?php
session_start();
include '../includes/dbcon.php'; // Include your database connection file

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    header("Location: ../login.php"); // Redirect to login if not logged in
    exit();
}

// Enable all error reporting
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('log_errors', 1);

$user_id = $_SESSION['user_id'];

// Get the backpack entry ID from the URL
if (isset($_GET['id'])) {
    $backpack_id = intval($_GET['id']); // Ensure it's an integer

    // Prepare the DELETE query
    $query = "DELETE FROM backpack WHERE id = ? AND student_id = ?";
    $stmt = $conn->prepare($query);

    if (!$stmt) {
        die("Database query preparation failed: " . $conn->error);
    }

    $stmt->bind_param("ii", $backpack_id, $user_id);
    if ($stmt->execute()) {
        // Redirect back to backpack with a success message
        header("Location: backpack.php?message=Lesson removed from backpack successfully.");
        exit();
    } else {
        die("Error removing lesson from backpack: " . $stmt->error);
    }
} else {
    die("No backpack ID specified.");
}

$stmt->close();
$conn->close();
?>