<?php
session_start();
require_once 'includes/dbcon.php'; // Assuming db.php is renamed to dbcon.php for consistency

if (isset($_SESSION['user_id'])) {
    // Fetch user data from the database
    $stmt = $conn->prepare("SELECT * FROM users WHERE id = ?");
    $stmt->bind_param("i", $_SESSION['user_id']);
    $stmt->execute();
    $result = $stmt->get_result();
    $user = $result->fetch_assoc();

    if ($user) {
        echo "<div class='container mt-5' style='background-color: #a777e3; padding: 30px; border-radius: 8px; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);'>";
        
        // Profile Header with full name
        $full_name = htmlspecialchars($user['first_name'] . ' ' . $user['last_name']);
        echo "<h2 class='text-center text-white mb-4'><i class='fas fa-user'></i> Profile of {$full_name}</h2>";
        
        // Profile Details with icons
        echo "<p class='text-white'><i class='fas fa-user'></i> Username: {$user['username']}</p>";
        echo "<p class='text-white'><i class='fas fa-envelope'></i> Email: {$user['email']}</p>";
        echo "<p class='text-white'><i class='fas fa-user-tag'></i> Role: " . ucfirst($user['role']) . "</p>";
        echo "<p class='text-white'><i class='fas fa-phone'></i> Mobile: {$user['mobile_number']}</p>";

        // Display additional fields based on user role
        if ($user['role'] === 'student') {
            echo "<p class='text-white'><i class='fas fa-building'></i> Department ID: {$user['department_id']}</p>";
            echo "<p class='text-white'><i class='fas fa-graduation-cap'></i> Year Level ID: {$user['year_level_id']}</p>";
        }

        // Display edit link with button styling and icon
        if ($user['role'] === 'faculty' || $user['role'] === 'student') {
            echo "<a href='edit_profile.php' class='btn btn-primary w-100' style='background-color: #6e8efb; border-color: #6e8efb;'><i class='fas fa-edit'></i> Edit Profile</a>";
        }
        
        echo "</div>";
    } else {
        echo "<div class='container mt-5' style='background-color: #a777e3; padding: 30px; border-radius: 8px; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);'>";
        echo "User not found.";
        echo "</div>";
    }
} else {
    echo "<div class='container mt-5' style='background-color: #a777e3; padding: 30px; border-radius: 8px; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);'>";
    echo "You must be logged in to view your profile.";
    echo "</div>";
}
?>

<!-- Bootstrap CSS -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
<!-- Font Awesome Icons -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">

<!-- Optional Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
